aboutsummaryrefslogtreecommitdiff
path: root/sysdeps/mach
diff options
context:
space:
mode:
authorRoland McGrath <roland@gnu.org>2002-10-18 08:17:43 +0000
committerRoland McGrath <roland@gnu.org>2002-10-18 08:17:43 +0000
commit2e9d4e8c883c1145bca2710e7fba83e9387c664b (patch)
tree9ed129fa71ed2ef9ee7a0a945195d3ee568ac733 /sysdeps/mach
parent2a3566dacf69eba85402875407e293e4f53b5bf2 (diff)
downloadglibc-2e9d4e8c883c1145bca2710e7fba83e9387c664b.tar
glibc-2e9d4e8c883c1145bca2710e7fba83e9387c664b.tar.gz
glibc-2e9d4e8c883c1145bca2710e7fba83e9387c664b.tar.bz2
glibc-2e9d4e8c883c1145bca2710e7fba83e9387c664b.zip
regenerated
Diffstat (limited to 'sysdeps/mach')
-rwxr-xr-xsysdeps/mach/hurd/configure95
1 files changed, 63 insertions, 32 deletions
diff --git a/sysdeps/mach/hurd/configure b/sysdeps/mach/hurd/configure
index 73149f5fe1..fc6432f0a2 100755
--- a/sysdeps/mach/hurd/configure
+++ b/sysdeps/mach/hurd/configure
@@ -1,10 +1,13 @@
-
+#! /bin/sh
+# This file is generated from configure.in by Autoconf. DO NOT EDIT!
+
+
# GNU libc on the Hurd is always reentrant.
DEFINES="$DEFINES -D_LIBC_REENTRANT"
-cat >> confdefs.h <<\EOF
+cat >>confdefs.h <<\_ACEOF
#define NO_HIDDEN 1
-EOF
+_ACEOF
# Don't bother trying to generate any glue code to be compatible with the
@@ -12,7 +15,8 @@ EOF
inhibit_glue=yes
if test "x$prefix" != x; then
- echo "configure: warning: --prefix= (empty) is required for GNU/Hurd to work normally" 1>&2
+ { echo "$as_me:$LINENO: WARNING: --prefix= (empty) is required for GNU/Hurd to work normally" >&5
+echo "$as_me: WARNING: --prefix= (empty) is required for GNU/Hurd to work normally" >&2;}
fi
case "$machine" in
@@ -25,47 +29,69 @@ case "$machine" in
;;
esac
-echo $ac_n "checking Hurd header version""... $ac_c" 1>&6
-echo "configure:30: checking Hurd header version" >&5
-if eval "test \"`echo '$''{'libc_cv_hurd_version'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking Hurd header version" >&5
+echo $ECHO_N "checking Hurd header version... $ECHO_C" >&6
+if test "${libc_cv_hurd_version+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
- cat > conftest.$ac_ext <<EOF
-#line 35 "configure"
+
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
#include "confdefs.h"
#include <hurd/version.h>
-int main() {
+#ifdef F77_DUMMY_MAIN
+# ifdef __cplusplus
+ extern "C"
+# endif
+ int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
#define NEED_VERSION 20020609
#if HURD_INTERFACE_VERSION < NEED_VERSION
# error Hurd version too old: HURD_INTERFACE_VERSION < NEED_VERSION
#endif
-; return 0; }
-EOF
-if { (eval echo configure:46: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
- rm -rf conftest*
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
libc_cv_hurd_version=ok
else
- echo "configure: failed program was:" >&5
- cat conftest.$ac_ext >&5
- rm -rf conftest*
- libc_cv_hurd_version=bad
+ echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+libc_cv_hurd_version=bad
fi
-rm -f conftest*
+rm -f conftest.$ac_objext conftest.$ac_ext
fi
-
-echo "$ac_t""$libc_cv_hurd_version" 1>&6
+echo "$as_me:$LINENO: result: $libc_cv_hurd_version" >&5
+echo "${ECHO_T}$libc_cv_hurd_version" >&6
if test "x$libc_cv_hurd_version" != xok; then
- { echo "configure: error: Hurd headers not installed or too old" 1>&2; exit 1; }
+ { { echo "$as_me:$LINENO: error: Hurd headers not installed or too old" >&5
+echo "$as_me: error: Hurd headers not installed or too old" >&2;}
+ { (exit 1); exit 1; }; }
fi
# See if mig groks `retcode'.
-echo $ac_n "checking whether $MIG supports the retcode keyword""... $ac_c" 1>&6
-echo "configure:67: checking whether $MIG supports the retcode keyword" >&5
-if eval "test \"`echo '$''{'hurd_cv_mig_retcode'+set}'`\" = set"; then
- echo $ac_n "(cached) $ac_c" 1>&6
+echo "$as_me:$LINENO: checking whether $MIG supports the retcode keyword" >&5
+echo $ECHO_N "checking whether $MIG supports the retcode keyword... $ECHO_C" >&6
+if test "${hurd_cv_mig_retcode+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat > conftest.defs <<\EOF
#include <mach/std_types.defs>
@@ -77,18 +103,23 @@ simpleroutine foobar_reply (
reply_port: reply_port_t;
err: kern_return_t, RetCode);
EOF
-if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'; { (eval echo configure:81: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; }; then
+if { ac_try='CC="${CC}" ${MIG-false} -n conftest.defs 1>&5'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
hurd_cv_mig_retcode=yes
else
hurd_cv_mig_retcode=no
fi
rm -f conftest*
fi
-
-echo "$ac_t""$hurd_cv_mig_retcode" 1>&6
+echo "$as_me:$LINENO: result: $hurd_cv_mig_retcode" >&5
+echo "${ECHO_T}$hurd_cv_mig_retcode" >&6
if test $hurd_cv_mig_retcode = yes; then
- cat >> confdefs.h <<\EOF
+ cat >>confdefs.h <<\_ACEOF
#define HAVE_MIG_RETCODE 1
-EOF
+_ACEOF
fi